AMO is getting a new look. Would you like to see it?

Visit the new site

Close

dotjs Version History

14 versions

Be careful with old versions!

These versions are displayed for reference and testing purposes. You should always use the latest version of an add-on.

Version 1.13.0 80.0 KiB Works with Firefox 38.0a1 - 56.*

Fix for subdomains (Issue #43).

Version 1.12.0 80.1 KiB Works with Firefox 38.0a1 - 46.0

* Now scripts run in private browser windows (Issue #35 on github).
* Fix issue where scripts were loaded multiple times.

Version 1.11 240.0 KiB Works with Firefox 19.0 - 44.0

This version now looks up the files recursively for the domains. So for example, for "www.example.com" it will attempt to load:
www.example.com.js
example.com.js
com.js

Version 1.10.1-signed 240.0 KiB Works with Firefox 18.0 - 37.0

Fixed issue: when default.js was present, no other scripts were executed.

Version 1.9.1-signed 237.4 KiB Works with Firefox 17.0 - 22.0

Performance optimization. Load content scripts on DOM ready.

Version 1.8.1-signed 237.3 KiB Works with Firefox 16.0 - 22.0

Updated jquery to v1.9 and coffeescript to v1.4.
Built with addon sdk v1.13.1.

Version 1.7.1-signed 200.0 KiB Works with Firefox 12.0 - 18.*

Updated to version 1.7 of addon sdk along with some optimizations.

Version 1.5.1-signed 194.0 KiB Works with Firefox 9.0 - 14.0a1

Avoids attaching anything to pages that have no user scripts files to load.

Version 1.3.1-signed 200.0 KiB Works with Firefox 8.0 - 13.0a1

Switched from page-mod to loading the scripts on tab ready. This should improve memory usage and performance, especially on pages with iframes.

Version 1.2.1-signed 215.0 KiB Works with Firefox 7.0 - 13.0a1

Updated to jquery 1.7.1.

Version 1.0.1-signed 321.0 KiB Works with Firefox 4.0b7 - 11.0a1

Fixed issue with window and document references being wrapped in XrayWrapper.

Version 0.9.1-signed 318.0 KiB Works with Firefox 4.0b7 - 8.0a1

Added support for CSS files in ~/.css

Version 0.6.1-signed 278.0 KiB Works with Firefox 4.0b7 - 8.0a1

Upgrade to jQuery 1.6.1, fixes memory leak.

Version 0.3.1-signed 240.0 KiB Works with Firefox 4.0b7 - 6.*

Added support for ~/.js/default.js (runs on all sites).